# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
#
# Copyright 2010 Oracle and/or its affiliates. All rights reserved.
#
# Oracle and Java are registered trademarks of Oracle and/or its affiliates.
# Other names may be trademarks of their respective owners.
#
# The contents of this file are subject to the terms of either the GNU
# General Public License Version 2 only ("GPL") or the Common
# Development and Distribution License("CDDL") (collectively, the
# "License"). You may not use this file except in compliance with the
# License. You can obtain a copy of the License at
# http://www.netbeans.org/cddl-gplv2.html
# or nbbuild/licenses/CDDL-GPL-2-CP. See the License for the
# specific language governing permissions and limitations under the
# License.  When distributing the software, include this License Header
# Notice in each file and include the License file at
# nbbuild/licenses/CDDL-GPL-2-CP.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the GPL Version 2 section of the License file that
# accompanied this code. If applicable, add the following below the
# License Header, with the fields enclosed by brackets [] replaced by
# your own identifying information:
# "Portions Copyrighted [year] [name of copyright owner]"
#
# If you wish your version of this file to be governed by only the CDDL
# or only the GPL Version 2, indicate your decision by adding
# "[Contributor] elects to include this software in this distribution
# under the [CDDL or GPL Version 2] license." If you do not indicate a
# single choice of license, a recipient has the option to distribute
# your version of this file under either the CDDL, the GPL Version 2 or
# to extend the choice of license to its licensees as provided above.
# However, if you add GPL Version 2 code and therefore, elected the GPL
# Version 2 license, then the option applies only if the new code is
# made subject to such option by the copyright holder.
#
# Contributor(s):
#
# Portions Copyrighted 2008 Sun Microsystems, Inc.

PHPOptionsCategory_name=PHP
PHPOptionsCategory_title=PHP
LBL_GeneralOptions=General
LBL_GeneralOptionsTooltip=General PHP Options
LBL_DebuggerOptions=Debugging
LBL_DebuggerOptionsTooltip=PHP Debugging Options
KW_DebuggerOptions=php debugger, debugging
LBL_AnnotationsOptions=Annotations
LBL_AnnotationsOptionsTooltip=PHP Annotations Options
KW_AnnotationsOptions=PHP Annotations

# general options
LBL_AddFolder=Add &Folder...
LBL_Remove=&Remove
LBL_MoveUp=Move &Up
LBL_MoveDown=Move &Down
LBL_CommandLine=Command Line
LBL_PhpInterpreter=&PHP 5 Interpreter:
LBL_Browse=&Browse...
LBL_Search=&Search...
LBL_OpenResultIn=Open Result In:
LBL_OutputWindow=&Output Window
LBL_WebBrowser=&Web Browser
LBL_Editor=&Editor
LBL_Debugging=Debugging
LBL_DebuggerPort=Debu&gger Port:
LBL_StopAtTheFirstLine=S&top at First Line
LBL_GlobalIncludePath=Global Include Path
LBL_UseTheFollowingPathByDefault=Use the Fo&llowing Path by Default:
LBL_PhpInterpretersTitle=PHP Interpreters
LBL_PhpInterpreters=&PHP Interpreters:
LBL_PhpInterpretersPleaseWaitPart=PHP Interpreters
LBL_NoPhpInterpretersFound=No PHP Interpreters found.
PhpOptionsPanel.globalIncludePathInfoLabel.text=<html><i>Note: Global Include Path is used only by NetBeans.</i></html>
PhpOptionsPanel.stopAtTheFirstLineCheckBox.AccessibleContext.accessibleName=Stop at the First Line
PhpOptionsPanel.globalIncludePathLabel.AccessibleContext.accessibleName=Global Include Path
PhpOptionsPanel.moveUpButton.AccessibleContext.accessibleName=Move Up
PhpOptionsPanel.moveDownButton.AccessibleContext.accessibleName=Move Down
PhpOptionsPanel.addFolderButton.AccessibleContext.accessibleName=Add Folder
PhpOptionsPanel.removeButton.AccessibleContext.accessibleName=Remove
PhpOptionsPanel.useTheFollowingPathByDefaultLabel.AccessibleContext.accessibleName=Use the Following Path by Default
PhpOptionsPanel.phpInterpreterLabel.AccessibleContext.accessibleName=PHP 5 Interpreter
PhpOptionsPanel.commandLineLabel.AccessibleContext.accessibleName=Command Line
PhpOptionsPanel.searchButton.AccessibleContext.accessibleName=Search
PhpOptionsPanel.browseButton.AccessibleContext.accessibleName=Browse
PhpOptionsPanel.outputWindowCheckBox.AccessibleContext.accessibleName=Output Window
PhpOptionsPanel.openResultInLabel.AccessibleContext.accessibleName=Open Result In
PhpOptionsPanel.errorLabel.AccessibleContext.accessibleName=Error
PhpOptionsPanel.webBrowserCheckBox.AccessibleContext.accessibleName=Web Browser
PhpOptionsPanel.editorCheckBox.AccessibleContext.accessibleName=Editor
PhpOptionsPanel.debuggingLabel.AccessibleContext.accessibleName=Debugging
PhpOptionsPanel.debuggerPortLabel.AccessibleContext.accessibleName=Debugger Port
PhpOptionsPanel.debuggerPortTextField.AccessibleContext.accessibleDescription=Port for debugging.
PhpOptionsPanel.debuggerPortTextField.AccessibleContext.accessibleName=Debugger Port
PhpOptionsPanel.debuggerPortLabel.AccessibleContext.accessibleDescription=Label for debugger port.
PhpOptionsPanel.debuggingSeparator.AccessibleContext.accessibleDescription=n/a
PhpOptionsPanel.debuggingLabel.AccessibleContext.accessibleDescription=Label for debugging part.
PhpOptionsPanel.editorCheckBox.AccessibleContext.accessibleDescription=Open result in editor.
PhpOptionsPanel.webBrowserCheckBox.AccessibleContext.accessibleDescription=Open result in web browser.
PhpOptionsPanel.errorLabel.AccessibleContext.accessibleDescription=Error, if any.
PhpOptionsPanel.openResultInLabel.AccessibleContext.accessibleDescription=Label for open result in.
PhpOptionsPanel.outputWindowCheckBox.AccessibleContext.accessibleDescription=Open result in output window.
PhpOptionsPanel.browseButton.AccessibleContext.accessibleDescription=Browse for PHP interpreter.
PhpOptionsPanel.searchButton.AccessibleContext.accessibleDescription=Automatic search of PHP interpreters.
PhpOptionsPanel.AccessibleContext.accessibleDescription=PHP IDE options.
PhpOptionsPanel.AccessibleContext.accessibleName=PHP IDE Options
PhpOptionsPanel.commandLineLabel.AccessibleContext.accessibleDescription=Label for command line part.
PhpOptionsPanel.commandLineSeparator.AccessibleContext.accessibleDescription=n/a
PhpOptionsPanel.commandLineSeparator.AccessibleContext.accessibleName=Separator
PhpOptionsPanel.phpInterpreterLabel.AccessibleContext.accessibleDescription=Label for PHP interpreter.
PhpOptionsPanel.phpInterpreterTextField.AccessibleContext.accessibleDescription=Current PHP interpreter.
PhpOptionsPanel.phpInterpreterTextField.AccessibleContext.accessibleName=PHP Interpreter
PhpOptionsPanel.useTheFollowingPathByDefaultLabel.AccessibleContext.accessibleDescription=Label for global PHP include path.
PhpOptionsPanel.removeButton.AccessibleContext.accessibleDescription=Remove the selected folder(s) from the list.
PhpOptionsPanel.addFolderButton.AccessibleContext.accessibleDescription=Add a new folder to the list.
PhpOptionsPanel.moveDownButton.AccessibleContext.accessibleDescription=Move the selected folder(s) down in the list.
PhpOptionsPanel.moveUpButton.AccessibleContext.accessibleDescription=Move the selected folder(s) up in the list.
PhpOptionsPanel.globalIncludePathLabel.AccessibleContext.accessibleDescription=Label for global PHP include path part.
PhpOptionsPanel.globalIncludePathSeparator.AccessibleContext.accessibleDescription=n/a
PhpOptionsPanel.globalIncludePathSeparator.AccessibleContext.accessibleName=Separator
PhpOptionsPanel.includePathScrollPane.AccessibleContext.accessibleDescription=Scroll pane for the list with folders in global PHP include path.
PhpOptionsPanel.includePathScrollPane.AccessibleContext.accessibleName=Scroll Pane for Global PHP Include Path Folders
PhpOptionsPanel.includePathList.AccessibleContext.accessibleDescription=List with folders in global PHP include path.
PhpOptionsPanel.stopAtTheFirstLineCheckBox.AccessibleContext.accessibleDescription=Stop the debugger at the first line or not.
PhpOptionsPanel.debuggingSeparator.AccessibleContext.accessibleName=Separator
PhpOptionsPanel.includePathList.AccessibleContext.accessibleName=List of directories of PHP global include path.
PhpOptionsPanel.debuggerSessionIdTextField.AccessibleContext.accessibleDescription=Session identifier for debugging.
PhpOptionsPanel.debuggerSessionIdTextField.AccessibleContext.accessibleName=Debugger Session ID
PhpOptionsPanel.debuggerSessionIdLabel.AccessibleContext.accessibleDescription=Label for debugger session ID
PhpOptionsPanel.debuggerSessionIdLabel.AccessibleContext.accessibleName=Session ID
PhpOptionsPanel.globalIncludePathSeparator.AccessibleContext.accessibleName_1=Visual Separator
PhpOptionsPanel.commandLineSeparator.AccessibleContext.accessibleDescription_1=Visual separator.
PhpOptionsPanel.commandLineSeparator.AccessibleContext.accessibleName_1=Visual Separator
PhpOptionsPanel.debuggingSeparator.AccessibleContext.accessibleDescription_1=Visual separator.
PhpOptionsPanel.debuggingSeparator.AccessibleContext.accessibleName_1=Visual Separator
PhpOptionsPanel.globalIncludePathSeparator.AccessibleContext.accessibleDescription_1=Visual separator.
PhpOptionsPanel.watchesAndEvalCheckBox.AccessibleContext.accessibleDescription=Enable watches and balloon evaluation (Note: It is not recommended to enable this feature because of unresolved NetBeans/Xdebug issues)
PhpOptionsPanel.watchesAndEvalCheckBox.AccessibleContext.accessibleName=Watches and Balloon Evaluation
PhpOptionsPanel.maxStructuresLabel.AccessibleContext.accessibleName=Maximum depth of structures label
PhpOptionsPanel.maxStructuresLabel.AccessibleContext.accessibleDescription=Label for maximum depth of structures.
PhpOptionsPanel.maxStructuresTextField.AccessibleContext.accessibleName=Maximum depth of structures text field
PhpOptionsPanel.maxStructuresTextField.AccessibleContext.accessibleDescription=Maximum depth of structures to be shown in the Watches and Variables windows.
PhpOptionsPanel.maxChildrenLabel.AccessibleContext.accessibleName=Maximum number of children label
PhpOptionsPanel.maxChildrenLabel.AccessibleContext.accessibleDescription=Label for maximum number of children.
PhpOptionsPanel.maxChildrenTextField.AccessibleContext.accessibleName=Maximum number of children text field
PhpOptionsPanel.maxChildrenTextField.AccessibleContext.accessibleDescription=Maximum number of children to be retrieved from XDebug and shown in the Watches and Variables windows.

# debugger options
PhpDebuggerPanel.watchesAndEvalCheckBox.text=W&atches and Balloon Evaluation
PhpDebuggerPanel.maxStructuresDepthLabel.text=&Maximum Depth of Structures:
PhpDebuggerPanel.sessionIdLabel.text=Session I&D:
PhpDebuggerPanel.debuggerConsoleInfoLabel.text=<html>Do not forget to set <i>output_buffering = Off</i> in your <i>php.ini</i> file.
PhpDebuggerPanel.requestedUrlsCheckBox.text=&Show Requested URLs
PhpDebuggerPanel.debuggerConsoleCheckBox.text=S&how Debugger Console
PhpDebuggerPanel.portLabel.text=Debu&gger Port:
PhpDebuggerPanel.stopAtTheFirstLineCheckBox.text=S&top at First Line
PhpDebuggerPanel.maxChildrenLabel.text=Ma&ximum Number of Children:
MSG_WatchesAndEval=Please note that Xdebug is known to be unstable if this option is enabled.
MSG_DebuggerInvalidPort=Invalid debugger port.
MSG_DebuggerInvalidSessionId=Debugger session ID must be specified and cannot contain spaces.
MSG_DebuggerInvalidMaxStructuresDepth=Invalid maximum number of structure depth.
MSG_DebuggerInvalidMaxChildren=Invalid maximum number of children.
## accessibility
PhpDebuggerOptions.debuggerConsoleCheckBox.AccessibleContext.accessibleDescription=If checked, debugger console output will be printed in the Output Window.
PhpDebuggerOptions.requestedUrlsCheckBox.AccessibleContext.accessibleDescription=If checked, requested URLs will be printed in the Output Window.
PhpDebuggerOptions.debuggerConsoleInfoLabel.AccessibleContext.accessibleDescription=Information needed for debugger console to work.
PhpDebuggerOptions.debuggerSessionIdLabel.AccessibleContext.accessibleDescription=Label for debugger session ID.
PhpDebuggerOptions.portTextField.AccessibleContext.accessibleDescription=Port for debugging.
PhpDebuggerOptions.portTextField.AccessibleContext.accessibleName=Debugger Port
PhpDebuggerOptions.maxStructuresDepthLabel.AccessibleContext.accessibleDescription=Label for maximum depth of structures.
PhpDebuggerOptions.sessionIdTextField.AccessibleContext.accessibleDescription=Session identifier for debugging.
PhpDebuggerOptions.maxStructuresDepthTextField.AccessibleContext.accessibleDescription=Maximum depth of structures to be shown in the Watches and Variables windows.
PhpDebuggerOptions.AccessibleContext.accessibleDescription=Options related to PHP debugger.
PhpDebuggerOptions.watchesAndEvalCheckBox.AccessibleContext.accessibleDescription=Enable watches and balloon evaluation (Note: It is not recommended to enable this feature because of unresolved NetBeans/Xdebug issues)
PhpDebuggerOptions.errorLabel.AccessibleContext.accessibleDescription=Place where possible errors are shown.
PhpDebuggerOptions.maxChildrenLabel.AccessibleContext.accessibleDescription=Label for maximum number of children.
PhpDebuggerOptions.stopAtTheFirstLineCheckBox.AccessibleContext.accessibleDescription=Stop the debugger at the first line or not.
PhpDebuggerOptions.portLabel.AccessibleContext.accessibleDescription=Label for debugger port.
PhpDebuggerOptions.AccessibleContext.accessibleName=PHP Debugger Form
PhpDebuggerOptions.maxChildrenTextField.AccessibleContext.accessibleDescription=Maximum number of children to be retrieved from XDebug and shown in the Watches and Variables windows.
PhpDebuggerOptions.debuggerConsoleCheckBox.AccessibleContext.accessibleName=Show Debugger Console CheckBox
PhpDebuggerOptions.maxChildrenLabel.AccessibleContext.accessibleName=Maximum Number of Children Label
PhpDebuggerOptions.portLabel.AccessibleContext.accessibleName=Debugger Port Label
PhpDebuggerOptions.stopAtTheFirstLineCheckBox.AccessibleContext.accessibleName=Stop at First Line Label
PhpDebuggerOptions.errorLabel.AccessibleContext.accessibleName=Error Label
PhpDebuggerOptions.watchesAndEvalCheckBox.AccessibleContext.accessibleName=Watches and Balloon Evaluation Label
PhpDebuggerOptions.maxStructuresDepthLabel.AccessibleContext.accessibleName=Maximum Depth of Structures Label
PhpDebuggerOptions.sessionIdLabel.AccessibleContext.accessibleName=Session ID Label
PhpDebuggerOptions.debuggerConsoleInfoLabel.AccessibleContext.accessibleName=Debugger Console Information Label
PhpDebuggerOptions.requestedUrlsCheckBox.AccessibleContext.accessibleName=Show Requested URLs Label
PhpDebuggerPanel.sessionIdTextField.AccessibleContext.accessibleName=Debugger Session ID
PhpDebuggerPanel.maxStructuresDepthTextField.AccessibleContext.accessibleName=Maximum depth of structures
PhpDebuggerPanel.maxChildrenTextField.AccessibleContext.accessibleName=Maximum number of children

# annotations
PhpAnnotationsPanel.annotationsLabel.text=Custom Annotations:
PhpAnnotationsPanel.addButton.text=&Add...
PhpAnnotationsPanel.editButton.text=&Edit...
PhpAnnotationsPanel.deleteButton.text=&Delete...
PhpAnnotationsPanel.noteLabel.text=<html><i>Note:</i></html>
PhpAnnotationsPanel.infoLabel.text=These annotations are available in code completion.
## sample annotation
SampleTag.documentation=<p style="font-weight: bold; font-size: 1.2em">@sample</p>\n\
<p style="font-weight: bold; font-size: 1.1em">Description</p>\n\
<p>This <code>@sample</code> annotation shows how to properly write documentation.</p>\n\
<p style="font-weight: bold; font-size: 1.1em">Example</p>\n\
<pre><code>\n\
/**\n\
\ * @sample(param1, param2 = value1)\n\
\ */\n\
public function test($a, $b) {\n\
\    return $a + $b;\n}\n\
</code></pre>\n
